> ## Documentation Index
> Fetch the complete documentation index at: https://docs.managexr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit App

> Update an app's metadata such as title, description, categories, and icon URL



## OpenAPI

````yaml PATCH /v1/apps/{packageName}
openapi: 3.1.0
info:
  title: ManageXR API
  description: API documentation for ManageXR
  version: 1.0.0
servers:
  - url: https://managexrapi.com
    description: ManageXR API Server
security:
  - basicAuth: []
paths:
  /v1/apps/{packageName}:
    patch:
      summary: Edit app
      description: >-
        Update an app's metadata such as title, description, categories, and
        icon URL
      parameters:
        - name: packageName
          in: path
          required: true
          schema:
            type: string
          description: The package name of the app
        - name: type
          in: query
          required: false
          schema:
            type: string
            enum:
              - managed
              - shared
              - instant
            description: Type of the app version to update
          description: Type of the app version to update
        - name: organizationId
          in: query
          required: false
          schema:
            type: string
          description: >
            Unique identifier of the organization. This parameter is only
            necessary when using multi-organization API keys. 


            Defaults to the organizationId associated with the API key.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type: string
                  description: Title of the app
                  example: My Awesome App
                description:
                  type: string
                  description: Description of the app
                  example: A fantastic app for managing XR content
                categories:
                  type: array
                  items:
                    type: string
                  description: Home screen categories the app belongs to
                  example:
                    - Education
                    - Productivity
                iconUrl:
                  type: string
                  format: uri
                  description: URL of the app's icon
                  example: https://storage.example.com/apps/com.example.app/icon.png
            example:
              title: My Awesome App
              description: A fantastic app for managing XR content
              categories:
                - Education
                - Productivity
              iconUrl: https://storage.example.com/apps/com.example.app/icon.png
      responses:
        '200':
          description: The updated app profile
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      packageName:
                        type: string
                        description: Package name of the app
                        example: com.example.app
                      title:
                        type: string
                        description: Title of the app
                        example: My Awesome App
                      description:
                        type: string
                        description: Description of the app
                        example: A fantastic app for managing XR content
                      categories:
                        type: array
                        items:
                          type: string
                        description: Categories the app belongs to
                        example:
                          - Education
                          - Productivity
                      iconUrl:
                        type: string
                        format: uri
                        description: URL of the app's icon
                        example: >-
                          https://storage.example.com/apps/com.example.app/icon.png
                      numVersions:
                        type: number
                        description: Number of versions of the app
                        example: 5
              example:
                data:
                  packageName: com.example.app
                  title: My Awesome App
                  description: A fantastic app for managing XR content
                  categories:
                    - Education
                    - Productivity
                  iconUrl: https://storage.example.com/apps/com.example.app/icon.png
                  numVersions: 5
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 400
                  message:
                    type: string
                    example: 'Invalid app type: external'
                  error:
                    type: string
                    example: ManageXR Error
              example:
                statusCode: 400
                message: 'Invalid app type: external'
                error: ManageXR Error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 403
                  message:
                    type: string
                    example: Forbidden
                  error:
                    type: string
                    example: ManageXR Error
              example:
                statusCode: 403
                message: Forbidden
                error: ManageXR Error
        '404':
          description: App not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 404
                  message:
                    type: string
                    example: App with package name com.example.app not found
                  error:
                    type: string
                    example: ManageXR Error
              example:
                statusCode: 404
                message: App with package name com.example.app not found
                error: ManageXR Error
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        API key based authentication where <encoded-value> is the Base64
        encoding of `API_KEY_ID`:`API_KEY_SECRET`

        - **Username**: The API Key ID.

        - **Password**: The API Key Secret.

````